Index: /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/3InstallingFedora.html
===================================================================
--- /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/3InstallingFedora.html	(revision 15761)
+++ /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/3InstallingFedora.html	(revision 15762)
@@ -8,16 +8,14 @@
 <a href="index.html">Back to index page</a>
 
-<h1>Installing Fedora 2.2.1 and Fedora-related information</h1>
+<h1>Installing Fedora (2.2.1/3.0) and Fedora-related information</h1>
 
 <p>Here, we're following <a href="http://www.fedora.info/download/2.2.1/userdocs/distribution/installation.html">the official Fedora instructions for installing Fedora 2.2.1</a></p>
 
-<p>(Installation instructions for other versions of Fedora: 
+<p>Installation instructions for other versions of Fedora are similar and can be found at: 
 <ul>
 <li><a href="http://www.fedora-commons.org/documentation/2.2.2/userdocs/distribution/installation.html">Fedora 2.2.2</a></li>
 <li><a href="http://www.fedora-commons.org/documentation/3.0b1/userdocs/distribution/installation.html">Fedora 3.0</a></li>
 </ul>
-We've not tried using these later versions with the GS3 web services demo-client application yet.)</p>
-
-<p>I've not installed Fedora on Windows, and I've only tried working with 2.2.1 so far. But Fedora's own installation instructions refer to how to get it working on Windows. The procedure seems to be pretty much similar.</p>
+I've now tested Fedora 2.2.1 and Fedora 3.0 with the GS3 web services demo-client application, where Fedora 2.2.1 was installed on Linux and Fedora 3.0 on Windows.</p>
 
 
@@ -73,5 +71,5 @@
 <ol>
 <li>Download Fedora 2.2.1 from <a href="http://www.fedora.info/download/">http://www.fedora.info/download/</a>.<br />
-(Although I've not tried it, you could also try Fedora 2.2.2 or even Fedora 3 which are available from <a href="http://www.fedora-commons.org/developers/index.php">the Fedora Commons main page</a>)
+(Although I've not tried it, you could also try Fedora 2.2.2 or even Fedora 3 which are available from <a href="http://www.fedora-commons.org/developers/index.php">the Fedora Commons main page</a>.)
 </li>
 <li>Extract it.
Index: /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/4InstallingFedoraGSearch.html
===================================================================
--- /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/4InstallingFedoraGSearch.html	(revision 15761)
+++ /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/4InstallingFedoraGSearch.html	(revision 15762)
@@ -9,25 +9,47 @@
 
 <h1>Installing Fedora Generic Search</h1>
+<h2>Sections</h2>
+<ul>
+<li><a href="#A">A Using the GSearchInstaller</a></li>
+<li><a href="#B">B Manual Installation</a></li>
+<li><a href="#C">C Important Notes</a></li>
+</ul>
+
+<p>Fedora Generic Search (Fedora GSearch) provides full-text indexing and searching for Fedora. This functionality is not offered by Fedora out-of-the-box, which is why it's a good idea to install Fedora GSearch alongside it.</p>
+
 In this document,
 <ul>
-<li>$FEDORA_HOME refers to the full path to your Fedora installation directory.<br /> </li>
-<li>For a walkthrough on installing Fedora (and for links to the official Fedora instructions for installation) see <a href="3InstallingFedora.html">Installing Fedora</a>.</li>
+<li>$FEDORA_HOME refers to the full path to your Fedora installation directory.</li>
+<li>You need to have Fedora installed in order to install Fedora Generic Search.<br />
+For a walkthrough on installing Fedora (and for links to the official Fedora instructions for installation) see <a href="3InstallingFedora.html">Installing Fedora</a>.</li>
 </ul>
 
 
+This document describes <b>two ways</b> in which you can install Fedora Generic Search:
+<ul>
+<li>By downloading Muradora's version of the fedoragsearch.war file and then using the GSearchInstaller application, or</li>
+<li>by doing the same steps manually.</li>
+</ul>
+See also the final section containing <a href="#C">Important Notes</a>.
+
+<h2><a name="A">A Using the GSearchInstaller</a></h2>
+You will need Java 1.5 or higher, which would also have been required to install Fedora itself.
 <ol>
-<li><a href="http://drama.ramp.org.au/cgi-bin/trac.cgi/wiki/InstallingFedoraGSearch">The detailed installation instructions</a> which I followed were written by the Muradora team.<br />
-Make sure that upon installing Fedora Generic Search, you either
-<ul>
-<li>choose to call your index <b>FedoraIndex</b> since this is what the demo-client expects by default, or</li>
-<li>create a file called gs3democlient.properties in the same folder as where the demo-client executable is, unless such a file already exists. Then in that properties file, write down the name of your index for the property <i>gsearch.indexName</i> as follows:
-<pre>gsearch.indexName=your-fedora-index-name</pre>
-If you had to create the properties file, you'd have to create this property as well. But if the file already existed, then the property <i>gsearch.indexName</i> would have been in there and you need only adjust the index name it is set to to your own.</li>
-</ul>
+<li>Download <a href="http://drama.ramp.org.au/software/fedoragsearch.war">Muradora's version of fedoragsearch.war</a>.</li>
+<li>Download the GSearchInstaller.jar from the same place where you got the GS3 Web Services Demo-Client (GSearchInstaller.jar is part of the GS3 Web Services Demo-Client distribution file).</li>
+<li>In a Linux x-term or a Windows DOS prompt, go to the location where your GSearchInstaller.jar is located, and type
+<pre>java -jar GSearchInstaller.jar</pre>
+This will launch the installer's opening dialog.<br />
+(It is recommended that Windows users don't just double-click on the jar file as the application's output will indicate whether and where anything failed during installation. This output is sent to the DOS console which won't be there if you run the jar-file by double-clicking.)</li>
+<li>Type in your Fedora server host, port, username and password. Then choose a name for the Fedora GSearch index and repository. (By default, the GS3 Web Services Demo-Client application expects the index name to be <i>FedoraIndex</i>. If you choose something other than FedoraIndex as the index name, follow the steps in <a href="#C">Important Note #2</a>.) Finally, browse to the location of your Muradora fedorgsearch.war file.<br />
+<b>Note:</b> GSearchInstaller can also be run from the command-line, by passing command-line arguments to GSearchInstaller.jar. To find out what the accepted arguments are, run it with the -help flag:
+<pre>java -jar GSearchInstaller.jar -help</pre>
 </li>
+<li>It will take a little while to run, and if nothing went wrong, it will have installed Fedora Generic Search and indexed the <a href="8RunFedoraLibrarianInterface.html">Greenstone documents that were ingested into Fedora using FLI</a>.</li>
+</ol>
 
-<li>Once installed, the FedoraGSearch rest url will by default be at: 
-<pre>http://localhost:8080/fedoragsearch/rest</pre>
-</li>
+<h2><a name="B">B Manual Installation</a></h2>
+<ol>
+<li><a href="http://drama.ramp.org.au/cgi-bin/trac.cgi/wiki/InstallingFedoraGSearch">The detailed installation instructions</a> which I followed were written by the Muradora team.</li>
 
 <li>Next to the steps above, you will need to make some more changes in order to enable full-text indexing and searching of the Greenstone documents ingested into the Fedora repository.
@@ -71,6 +93,23 @@
 The field ds.label and a document's full-text can now be searched and will appear in the search results. (Only a customisable snippet-size of a document's full-text will present in the results of a search.) 
 </li>
+</ol>
+</li>
+</ol>
 
-<li>Finally, <b>an important note:</b> Fedora Generic Search only supports indexing and searching Fedora Digital Objects (Fedora repository contents) whose MIME-type is one of
+<h2><a name="C">C Important notes</a></h2>
+<ol>
+<li>Once installed, the FedoraGSearch rest url will by default be at: 
+<pre>http://localhost:8080/fedoragsearch/rest</pre>
+If you visit this page, there are links to doing searches and browsing the Fedora repository's full-text contexts.</li>
+<li>Make sure that upon installing Fedora Generic Search (whether using GSearchInstaller or installing manually), you either:
+<ul>
+<li>choose to call your index <b>FedoraIndex</b> since this is what the demo-client expects by default, or</li>
+<li>create a file called gs3democlient.properties in the same folder as where the demo-client executable is, unless such a file already exists. Then in that properties file, write down the name of your index for the property <i>gsearch.indexName</i> as follows:
+<pre>gsearch.indexName=your-fedora-index-name</pre>
+If you had to create the properties file, you'd have to create this property as well. But if the file already existed, then the property <i>gsearch.indexName</i> would have been in there and you need only adjust the index name it is set to to your own.</li>
+</ul>
+</li>
+
+<li><b>IMPORTANT:</b> Fedora Generic Search only supports indexing and searching Fedora Digital Objects (Fedora repository contents) whose MIME-type is one of
 <ul>
 <li>text/html</li>
@@ -78,10 +117,8 @@
 <li>application/pdf</li>
 </ul>
-Text/xml is not accepted. (Therefore Greenstone documents exported to FedoraMETS and ingested into Fedora must be of one of the above MIME-types, else they will not be indexed by Fedora Generic Search.)  
+Text/xml is not accepted. (Therefore Greenstone documents exported to FedoraMETS and ingested into Fedora must be of one of the above MIME-types, else they will not be indexed by Fedora Generic Search.) <br />
+At present, FLI sets the content-type of the Fedora METS documents it exports to being text/xml. Therefore these documents don't yet get indexed by Fedora Generic Search. In order to do that, you need to use <i>Fedora</i>'s Admin-Client application to change the content-type for the documents FLI puts into Fedora from text/xml to text/html.
 </li>
 </ol>
-</li>
-</ol>
-
 </body>
 </html>
Index: /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html
===================================================================
--- /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html	(revision 15761)
+++ /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html	(revision 15762)
@@ -26,5 +26,5 @@
 <li>fli.sh launches a modified gli.sh. But fli.bat launches gli.bat which has yet to be edited to work for both gs3 and gs2. In other words, at present the Windows fli.bat should be used when working with Greenstone 2, and fli4gs3.bat when working with Greenstone 3.
 </li>
-<li>You need the Greenstone server to be running on the same machine as where your Fedora machine is running. This <i>may</i> not be a requirement in the future.</li>
+<li>You need the Greenstone server to be running on the same machine as where your Fedora machine is running. This <i>may</i> not be a requirement in the future, but it is at present.</li>
 </ul>
 
@@ -32,5 +32,5 @@
 <ul>
 <li>You need Greenstone 2 or 3</li>
-<li>You need Fedora installed (which would have required you to set the environment variables FEDORA_HOME, CATALINA_HOME and JAVA_HOME). And:
+<li>You need Fedora installed (which would have required you to set the environment variables FEDORA_HOME, CATALINA_HOME and JAVA_HOME, which are also needed by FLI). And:
 <ul>
 <li>if the version you have installed is Fedora 2.*, then you need to add a new environment variable called FEDORA2_HOME to point to where you have Fedora 2.* installed. 
@@ -40,5 +40,5 @@
 </ul>
 </li>
-<li>You need the Greenstone server running on the same machine as where you're Fedora server is installed.</li>
+<li>You need the Greenstone server running on the same machine as where your Fedora server is installed.</li>
 </ul>
 
@@ -57,5 +57,5 @@
 If you're on Windows, go into Greenstone's gli folder and double-click on fli.bat
 </li>
-<li>Once FLI starts up, it will ask you to the Fedora server details and your Fedora username and password to access the Fedora repository.</li>
+<li>Once FLI starts up, it will ask you the Fedora server details and your Fedora username and password to access the Fedora repository.</li>
 <li>Drag and drop documents into a collection as before, go to the Build tab and press the Build button. Once the building is finished, pressing the preview button will open the browser onto the Fedora search page. 
 </li>