Index: /gsdl/trunk/src/oaiservr/Makefile.in
===================================================================
--- /gsdl/trunk/src/oaiservr/Makefile.in	(revision 15843)
+++ /gsdl/trunk/src/oaiservr/Makefile.in	(revision 15844)
@@ -76,5 +76,5 @@
 	abstractlistaction.cpp \
 	dublincore.cpp \
-	identityaction.cpp \
+	identifyaction.cpp \
 	listidsaction.cpp \
 	listrecsaction.cpp \
@@ -95,5 +95,5 @@
 	abstractlistaction.o \
 	dublincore.o \
-	identityaction.o \
+	identifyaction.o \
 	listidsaction.o \
 	listrecsaction.o \
Index: /gsdl/trunk/src/oaiservr/identifyaction.cpp
===================================================================
--- /gsdl/trunk/src/oaiservr/identifyaction.cpp	(revision 15844)
+++ /gsdl/trunk/src/oaiservr/identifyaction.cpp	(revision 15844)
@@ -0,0 +1,64 @@
+#include "identifyaction.h"
+
+bool identifyaction::validateAction(recptproto *protocol, oaiargs &params)
+{ 
+  int params_size = params.getSize();
+
+  // Remove any parameters that aren't valid for this action
+  text_tmap::const_iterator param_iterator = params.begin();
+  while (param_iterator != params.end())
+  {
+    if (param_iterator->first != "verb")
+    {
+      params.erase(param_iterator->first);
+    }
+
+    param_iterator++;
+  }
+  
+  //"Verb=Identify" should be the only parameter - if there are others, throw an error.
+  // Don't need to check that the param we have is "Verb=Identify", as it has to be to get to here.
+  if(params_size != 1){
+    this->errorType = "badArgument";
+    return false;
+  }
+  
+  return true;
+}
+
+bool identifyaction::output_content(ostream &output, recptproto *protocol, oaiargs &params)
+{
+  // Get the repository name (some human-readable name for the site, or superset of collections)
+  text_t repositoryName = this->configuration->getCollectionConfig("", "repositoryName");
+  // Get admin's email address (i.e. the site maintainer)
+  text_t maintainer = this->configuration->getCollectionConfig("", "maintainer");
+  text_t version = (this->configuration->getOAIVersion() <= 110) ? (text_t)"1.1":(text_t)"2.0";
+
+  text_t baseURL = this->configuration->getCollectionConfig("", "baseURL");
+  
+  output << "  <repositoryName>"  << repositoryName << "</repositoryName>" << endl;
+  output << "  <baseURL>"         << baseURL     << "</baseURL>" << endl; // Tack on the app name
+  output << "  <protocolVersion>" << version        << "</protocolVersion>" << endl;
+  output << "  <adminEmail>"      << maintainer     << "</adminEmail>" << endl;
+
+  if(version == "2.0"){
+    // earliestDatestamp *should* be the YYYY-MM-DD format of the oldest lastmodified record in the
+    // repository, but we're just setting it to be the default oldest possible date - ugly, but judged
+    // not to be worth the effort of trolling through all the lastmodified dates (by others with more 
+    // say than me)
+    output << "  <earliestDatestamp>1970-01-01</earliestDatestamp>\n"
+	   << "  <deletedRecord>no</deletedRecord>\n"
+	   << "  <granularity>YYYY-MM-DD</granularity>\n";
+  }
+  // list all configuration information
+  text_tmap::iterator here = this->configuration->getInformation()->begin();
+  text_tmap::iterator end  = this->configuration->getInformation()->end();
+  while (here != end) {
+    output << "  <" << here->first << ">" << here->second;
+    output << "  </" << here->first << ">" << endl;
+    ++here;
+  }
+  
+  return true;
+}
+
Index: /gsdl/trunk/src/oaiservr/identifyaction.h
===================================================================
--- /gsdl/trunk/src/oaiservr/identifyaction.h	(revision 15844)
+++ /gsdl/trunk/src/oaiservr/identifyaction.h	(revision 15844)
@@ -0,0 +1,13 @@
+#include "oaiaction.h"
+
+#include "oaiconfig.h"
+
+class identifyaction : public oaiaction
+{
+ public:
+  identifyaction() : oaiaction("Identify") {}
+  virtual bool validateAction(recptproto *protocol, oaiargs &params);
+ protected:
+  bool output_content(ostream &output, recptproto *protocol, oaiargs &params);
+};
+
Index: dl/trunk/src/oaiservr/identityaction.cpp
===================================================================
--- /gsdl/trunk/src/oaiservr/identityaction.cpp	(revision 15843)
+++ 	(revision )
@@ -1,64 +1,0 @@
-#include "identityaction.h"
-
-bool identityaction::validateAction(recptproto *protocol, oaiargs &params)
-{ 
-  int params_size = params.getSize();
-
-  // Remove any parameters that aren't valid for this action
-  text_tmap::const_iterator param_iterator = params.begin();
-  while (param_iterator != params.end())
-  {
-    if (param_iterator->first != "verb")
-    {
-      params.erase(param_iterator->first);
-    }
-
-    param_iterator++;
-  }
-  
-  //"Verb=Identify" should be the only parameter - if there are others, throw an error.
-  // Don't need to check that the param we have is "Verb=Identify", as it has to be to get to here.
-  if(params_size != 1){
-    this->errorType = "badArgument";
-    return false;
-  }
-  
-  return true;
-}
-
-bool identityaction::output_content(ostream &output, recptproto *protocol, oaiargs &params)
-{
-  // Get the repository name (some human-readable name for the site, or superset of collections)
-  text_t repositoryName = this->configuration->getCollectionConfig("", "repositoryName");
-  // Get admin's email address (i.e. the site maintainer)
-  text_t maintainer = this->configuration->getCollectionConfig("", "maintainer");
-  text_t version = (this->configuration->getOAIVersion() <= 110) ? (text_t)"1.1":(text_t)"2.0";
-
-  text_t baseURL = this->configuration->getCollectionConfig("", "baseURL");
-  
-  output << "  <repositoryName>"  << repositoryName << "</repositoryName>" << endl;
-  output << "  <baseURL>"         << baseURL     << "</baseURL>" << endl; // Tack on the app name
-  output << "  <protocolVersion>" << version        << "</protocolVersion>" << endl;
-  output << "  <adminEmail>"      << maintainer     << "</adminEmail>" << endl;
-
-  if(version == "2.0"){
-    // earliestDatestamp *should* be the YYYY-MM-DD format of the oldest lastmodified record in the
-    // repository, but we're just setting it to be the default oldest possible date - ugly, but judged
-    // not to be worth the effort of trolling through all the lastmodified dates (by others with more 
-    // say than me)
-    output << "  <earliestDatestamp>1970-01-01</earliestDatestamp>\n"
-	   << "  <deletedRecord>no</deletedRecord>\n"
-	   << "  <granularity>YYYY-MM-DD</granularity>\n";
-  }
-  // list all configuration information
-  text_tmap::iterator here = this->configuration->getInformation()->begin();
-  text_tmap::iterator end  = this->configuration->getInformation()->end();
-  while (here != end) {
-    output << "  <" << here->first << ">" << here->second;
-    output << "  </" << here->first << ">" << endl;
-    ++here;
-  }
-  
-  return true;
-}
-
Index: dl/trunk/src/oaiservr/identityaction.h
===================================================================
--- /gsdl/trunk/src/oaiservr/identityaction.h	(revision 15843)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#include "oaiaction.h"
-
-#include "oaiconfig.h"
-
-class identityaction : public oaiaction
-{
- public:
-  identityaction() : oaiaction("Identify") {}
-  virtual bool validateAction(recptproto *protocol, oaiargs &params);
- protected:
-  bool output_content(ostream &output, recptproto *protocol, oaiargs &params);
-};
-
Index: /gsdl/trunk/src/oaiservr/oaimain.cpp
===================================================================
--- /gsdl/trunk/src/oaiservr/oaimain.cpp	(revision 15843)
+++ /gsdl/trunk/src/oaiservr/oaimain.cpp	(revision 15844)
@@ -45,5 +45,5 @@
 #include "cgiargs.h"
 
-#include "identityaction.h"
+#include "identifyaction.h"
 #include "recordaction.h"
 #include "listsetsaction.h"
@@ -134,5 +134,5 @@
   dispatcher.setConfiguration(&config);
 
-  identityaction *id   = new identityaction;
+  identifyaction *id   = new identifyaction;
   recordaction   *rec  = new recordaction;
   listsetsaction *sets = new listsetsaction;
Index: /gsdl/trunk/src/oaiservr/win32.mak
===================================================================
--- /gsdl/trunk/src/oaiservr/win32.mak	(revision 15843)
+++ /gsdl/trunk/src/oaiservr/win32.mak	(revision 15844)
@@ -106,5 +106,5 @@
 	abstractlistaction.cpp \
 	dublincore.cpp \
-	identityaction.cpp \
+	identifyaction.cpp \
 	listidsaction.cpp \
 	listrecsaction.cpp \
@@ -125,5 +125,5 @@
 	abstractlistaction.obj \
 	dublincore.obj \
-	identityaction.obj \
+	identifyaction.obj \
 	listidsaction.obj \
 	listrecsaction.obj \