Index: gli/trunk/help/en/help.xml
===================================================================
--- gli/trunk/help/en/help.xml	(revision 15801)
+++ gli/trunk/help/en/help.xml	(revision 15848)
@@ -84,5 +84,5 @@
 <Text id="39b"><b>Web:</b> downloads web pages and files via HTTP and FTP.</Text>
 <Text id="39c"><b>OAI:</b> downloads metadata records from an OAI (Open Archives Initiative) server.</Text>
-<Text id="39d"><b>Z39.50:</b> downloads MARC records that match a particular search criterion from a Z3950 server.</Text>
+<Text id="39d"><b>Z39.50:</b> downloads MARC records that match a particular search criterion from a Z39.50 server.</Text>
 <Text id="39e"><b>SRW:</b> downloads MARCXML records that match a particular search criterion from an SRW server.</Text>
 <Text id="39f">Select the appropriate protocol by clicking it in the left hand list. The right-hand side displays the options available for the selected download protocol. To find out what an option does, hover the mouse over it: a tool-tip explaining the option will appear. Some options are 'optional': these are presented with a check box which must be ticked on for the option to be used. Others are 'required': these have no check box, and a value must be given before the download is carried out. </Text>
@@ -123,5 +123,5 @@
 </Title>
 <Text id="58">Use folders in the Collection file tree to group files together and make them easier to find.  Folders can be placed inside folders.  There is virtually no limit to how many folders you can have or how deeply they can be nested.</Text>
-<Text id="59">To create a new folder, optionally select an existing folder in the Collection Tree and click the New Folder button.  The new folder appears within the selected one, or at the top level if none is selected.  You are prompted for the folder's name (default "New Folder").</Text>
+<Text id="59">To create a new folder, click right in the Collection Pane (or click right on an existing folder in the Collection Tree to insert the new folder in it) and click on the New Folder option. The new folder appears within the selected one, or at the top level if none is selected. You are prompted for the folder's name (default "New Folder").</Text>
 <Text id="60">Folders can also be created by right-clicking in the Collection Tree, or over a folder, choosing "New Folder" and proceeding as above.</Text>
 </Section>
@@ -154,5 +154,5 @@
 <Text id="exm-1">"Exploding" Metadata Files</Text>
 </Title>
-<Text id="exm-2">Metadata database file types, such as MARC, CDS/ISIS, BibTex, Refer and ProCite can be imported into Greenstone but their metadata cannot be viewed or edited in the Librarian Interface. To see or edit any metadata, you need to go back to the program that created the file. Alternatively, you can "explode" the file in the Librarian Interface and view or edit the metadata afterwards.</Text>
+<Text id="exm-2">Metadata database file types, such as MARC, CDS/ISIS, BibTex, Refer and ProCite, can be imported into Greenstone but their metadata cannot be IMMEDIATELY viewed or edited in the Librarian Interface. To see or edit any metadata, you can "explode" the file in the Librarian Interface and view or edit the metadata afterwards. Alternatively, particularly if you are maintaining a master external application, you can go back to the program that created the file, make your corrections, and reimport.</Text>
 <Text id="exm-3">"Exploding" a metadata database file splits it into individual records, with viewable and editable metadata. This process is irreversible: the original metadata file is deleted.</Text>
 <Text id="exm-4">Explodable files have a green icon in the Collection tree. To explode one, right click it and choose "Explode metadata database". A popup window shows options for the exploding process. The first option ("plugin") specifies the plugin to be used for exploding. In most cases, only one plugin will process a particular type of file, but in some cases, where different file types share the same filename extension, there may be two plugins that both process files with that extension. The "input_encoding" option can be used to specify the encoding of the database. The "metadata_set" option specifies the metadata set to which the new fields generated by exploding should be added. If none is specified, you will be prompted for what to do with each new field in the database: add it as a new element to an existing metadata set, merge with another element, or ignore.</Text>